<%@ Page EnableSessionState="False" EnableViewState="False" %>
<%@ Import Namespace="System.Text" %>
<%@ Import Namespace="System.IO" %>

<script language="JScript" runat="server">

    var width: String = "100%";
    var path: String;
    var font: String;

    function Page_Load(sender: Object, e: EventArgs) : void {

        // Handle .src Path
        
        path = Request.QueryString["path"];
        PopulateNavigationList(path);
    }

    function PopulateNavigationList(path: String) : void {

        var fs: FileStream = new FileStream(Server.MapPath(path), FileMode.Open, FileAccess.Read);
        var sr: StreamReader = new StreamReader(fs);
        var fileName: String;

        var c1: Char[] = [':'];
        var c2: char[] = [','];
        var line: String;

        while ( (line = sr.ReadLine()) != null ) {

            var list: String [] = line.Split(c1);

            if (list.Length > 1) {

                var row: TableRow = new TableRow();

                // Construct Group Label for Items

                var sourcegroup: String  = list[0];

                var groupCell: TableCell  = new TableCell();
                groupCell.Text = "<nobr>" + sourcegroup + ": </nobr>";
                groupCell.CssClass ="SourceListBold";
                row.Cells.Add(groupCell);


                // Construct List of Items

                var sourcelist : String[] = list[1].Split(c2);

                if ((sourcelist.Length>0)) {
                    fileName = Server.MapPath("~/docs/" + ParseItem(sourcelist[0]).HRef);
                }

                var sb: StringBuilder  = new StringBuilder();

                for (var i:int = 0; i< sourcelist.Length; i++) {

                    var item: ItemDetails = ParseItem(sourcelist[i]);
                    sb.Append("<a class='white' target=docFrame href='" + Request.ApplicationPath + "/docs/" + item.HRef + "'>");
                    sb.Append(item.Description);
                    sb.Append("</a>&nbsp;&nbsp; ");
                }

                var itemCell: TableCell  = new TableCell();
                itemCell.Text = sb.ToString();
                itemCell.CssClass ="SourceList";
                row.Cells.Add(itemCell);

                SourceTable.Rows.Add(row);
            }
        }

        fs.Close();
    }

    public function ParseItem(item: String) : ItemDetails {

        var c3: char[] = ['|'];

        var itemParts: String[] = item.Split(c3);

        if (itemParts == null) {
            return null;
        }

        var itemDetails: ItemDetails  = new ItemDetails();

        if (itemParts.Length > 1) {
            itemDetails.Description = itemParts[0];
            itemDetails.HRef = itemParts[1];
        }
        else {
            itemDetails.Description = itemParts[0];
            itemDetails.HRef = itemParts[0];
        }

        return itemDetails;
    }

    public class ItemDetails {
        public var Description: String;
        public var HRef: String;
    }

</script>
<html>
    <head>
        <link rel="stylesheet" href="style.css">
    </head>
    <body leftmargin="0" bottommargin="0" rightmargin="0" topmargin="0" marginheight="0" marginwidth="0">
        <form runat="server">
            <table width="100%" cellspacing="0" cellpadding="0" class="SourceViewHeaderBg" border="0">
                <tr valign="top">
                    <td>
                        <table cellpadding="5" cellspacing="0" background="grid_background.gif" width="100%">
                            <tr>
                                <td class="TitleBar">
                                    <span id="Title" class="SourceViewTitle" runat="server">IBuySpy Store Source Code Viewer</span>
                                </td>
                            </tr>
                        </table>
                        <asp:Table id="SourceTable" cellpadding="2" cellspacing="2" EnableViewState="true" runat="server" />
                    </td>
                </tr>
            </table>
        </form>
    </body>
</html>
